### Function

# Vips value_get_ref_string

#### Declaration [src]

    const char*
    vips_value_get_ref_string (
      const GValue* value,
      size_t* length
    )

#### Description [src]

Get the C string held internally by the `GValue`.

#### Parameters

`value`

  Type: `GValue`

  `GValue` to get from.

  The data is owned by the caller of the function.

`length`

  Type: `size_t*`

  Return length here, optionally.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `const char*`

The C string held by `value`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.